添加用户时,更改最短密码要求

为当前最终发行版之前的所有版本提供支持
回复
头像
ceclinux
帖子: 308
注册时间: 2013-01-17 2:42
系统: Ubuntu 12.04LTS
送出感谢: 10 次
接收感谢: 1 次

添加用户时,更改最短密码要求

#1

帖子 ceclinux » 2013-03-09 2:28

我再看ubuntu 的官方文档,https://help.ubuntu.com/12.04/servergui ... ement.html
期中修改密码最短要求那里一直试不出来,求解
这是我原来的/etc/pam.d/common-password ,12.04默认应该就是这样的
我想要将密码改成最短8个字符,应该怎么修改呢?

代码: 全选

# This file is included from other service-specific PAM config files,
# and should contain a list of modules that define the services to be
# used to change user passwords.  The default is pam_unix.

# Explanation of pam_unix options:
#
# The "sha512" option enables salted SHA512 passwords.  Without this option,
# the default is Unix crypt.  Prior releases used the option "md5".
#
# The "obscure" option replaces the old `OBSCURE_CHECKS_ENAB' option in
# login.defs.
#
# See the pam_unix manpage for other options.

# As of pam 1.0.1-6, this file is managed by pam-auth-update by default.
# To take advantage of this, it is recommended that you configure any
# local modules either before or after the default block, and use
# pam-auth-update to manage selection of other modules.  See
# pam-auth-update(8) for details.

# here are the per-package modules (the "Primary" block)
password	[success=1 default=ignore]	pam_unix.so obscure sha512 
# here's the fallback if no module succeeds
password	requisite			pam_deny.so
# prime the stack with a positive return value if there isn't one already;
# this avoids us returning an error just because nothing sets a success code
# since the modules above will each just jump around
password	required			pam_permit.so
# and here are more per-package modules (the "Additional" block)
password	optional	pam_gnome_keyring.so 
# end of pam-auth-update config
Ubuntu 12.04 LTS
laptop:Acer 4750G CPU:I5-2410
内存:2+2G 硬盘:500+750
http://www.ceclinux.org
头像
ahwad
帖子: 1052
注册时间: 2009-05-06 0:36
送出感谢: 1 次
接收感谢: 13 次

Re: 添加用户时,更改最短密码要求

#2

帖子 ahwad » 2013-03-09 20:30

终端,想怎么改,就怎么改。。。。。
回复

回到 “老旧版本支持”